<?php
/**
 * Core
 *
 * Create MoWeb3 Method view Handler.
 *
 * @category   Common, Core
 * @package    MoWeb3\MoWeb3MethodViewHandler
 * @author     miniOrange <info@xecurify.com>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * @link       https://miniorange.com
 */

namespace MoWeb3\view\ButtonView;

/**
 * Class to Create MoWeb3 Method View Handler.
 *
 * @category Common, Core
 * @package  MoWeb3\MoWeb3MethodViewHandler\CreateMoWeb3View
 * @author   miniOrange <info@xecurify.com>
 * @license  http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * @link     https://miniorange.com
 */

class MoWeb3View {
    
    /**
     * Constructor
     */
    

    public $util;

    public function __construct() {
        
		$this->util   =new \MoWeb3\MoWeb3Utils;

        $button_status =$this->util->mo_web3_get_option('mo_web3_display_login_button');

        if(false==$button_status){
            $this->util->mo_web3_update_option('mo_web3_display_login_button',"checked");
        }

        if("checked"==$button_status){
            add_action( 'login_form', array($this,'mo_web3_add_login_button') );
        }
        
    }

    
    public function mo_web3_wp_enqueue()
    {
        wp_enqueue_script( 'mo_web3_bootstrap_min_js', MOWEB3_URL . '/classes/common/Web3/resources/js/bootstrap/bootstrap.js', array(), $ver ="1.0.1", $in_footer = false );
        wp_enqueue_script( 'mo_web3_nft', MOWEB3_URL . '/classes/common/Web3/resources/js/web3/web3_nft.js', array(), $ver = "1.0.1", $in_footer = false );

        wp_enqueue_script( 'mo_web3_walletconnect', MOWEB3_URL . '/classes/common/Web3/resources/js/web3/web3_walletconnect.min.js', array(), $ver = "1.0.1", $in_footer = false );
        wp_enqueue_script( 'mo_web3_web3Min', MOWEB3_URL . '/classes/common/Web3/resources/js/web3/web3Min.js', array(), $ver = "1.0.1", $in_footer = false );
        wp_enqueue_script( 'mo_web3_web3ModalDistIndex', MOWEB3_URL . '/classes/common/Web3/resources/js/web3/web3ModalDistIndex.js', array(), $ver = "1.0.1", $in_footer = false );
        wp_enqueue_script( 'mo_web3_web3_login', MOWEB3_URL . '/classes/common/Web3/resources/js/web3/web3_login.js', array(), $ver = "1.0.2", $in_footer = false );
        wp_enqueue_script( 'mo_web3_web3_modal', MOWEB3_URL . '/classes/common/Web3/resources/js/web3/web3_modal.js', array(), $ver = "1.0.2", $in_footer = false );

        $data = array(
        'ajax_url' => admin_url( 'admin-ajax.php'),
        'wp_nonce'    => wp_create_nonce( 'mo_web3_wp_nonce')
        );
        
        // Localize the script
        wp_localize_script( 'mo_web3_web3_login', 'mo_web3_utility_object', $data );

        wp_enqueue_style( 'mo_web3_style', MOWEB3_URL . '/classes/common/Web3/resources/css/bootstrap/bootstrap.min.css', array(), $ver = "1.0.1", $in_footer = false );
        wp_enqueue_style( 'mo_web3_custom_style', MOWEB3_URL . '/classes/common/Web3/resources/css/styles.css', array(), $ver = "1.0.3", $in_footer = false );
        wp_enqueue_style( 'mo_web3_licensing_plan_view_page_style', MOWEB3_URL . '/classes/common/Web3/resources/css/mo-web3-licensing.css', array(), $ver = "1.0.4", $in_footer = false );

    }


    public function get_button_custom_text(){

        $value = $this->util->mo_web3_get_option("mo_web3_button_custom_text");

        if($value){
            return $value;
        }else{
            $this->util->mo_web3_update_option("mo_web3_button_custom_text","Login with Cryptowallet");
            $this->get_button_custom_text();
        }

    }


    public function mo_web3_add_login_button(){

       $this->mo_web3_wp_enqueue();
        ?>
       
        <div>
            &nbsp;&nbsp;<button class="btn btn-outline-primary mb-3" onclick="userLoginOut(0)" type="button" id="buttonText"  ><img  width="30"/><?php echo esc_attr($this->get_button_custom_text()); ?></button>
        </div>
           
    <?php
    
    }
    
}
?>