<?php
/**
 * Core
 *
 * Create MoWeb3 Method view Handler.
 *
 * @category   Common, Core
 * @package    MoWeb3\view\SettingsView
 * @author     miniOrange <info@xecurify.com>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * @link       https://miniorange.com
 */
namespace MoWeb3\view\ContentRestrictionView;

use MoWeb3\view\ButtonView\MoWeb3View;


class MoWeb3ContentRestriction {
    
    /**
    * Constructor
    */
    

    public $util;
    public $button_view;

    public function __construct() {
        
		$this->util         =   new \MoWeb3\MoWeb3Utils;   
        $this->button_view  =   new \MoWeb3\view\ButtonView\MoWeb3View;
        $this->button_view->mo_web3_wp_enqueue();
    }

    public function fun($blockchain){
        error_log($blockchain);
        $result = $this->util->mo_web3_get_option("mo_web3_nft_settings");
        if(!$result){
            echo "selected";
        }
        elseif($blockchain==$this->util->mo_web3_get_option("mo_web3_nft_settings")["blockchain"]){
            echo "selected";
        }
    }


    public function getBalance($walletAddress){
    
        $user_ID = get_current_user_id(); 
        $key = $user_ID."_owned_nft";
        $balance = get_user_meta($user_ID,$key,true);
        return $balance;
        
    }


    public function view(){
      
        ?>
    

        <div class="mo_support_layout container prem-info" id="mo_web3_nft_form"><?php 
            $this->util->render_premium_info_ui('NFT based Content restriction of pages is available in the premium version of the plugin.');
            ?><div class="row">
                    <div class="col-11">
                        <h1>NFT Content Restriction</h1><br>
                    </div>                                        
                </div>
            <div class="row">
                <div class="col-11">

                
            <form method="post" action="">

                <?php wp_nonce_field( 'mo_web3_content_restriction', 'mo_web3_content_restriction_nonce' ); ?>
                
                <div class="form-group row mb-3">

                    <div class="col-sm-4">
                        <label for="pageUrl">Page URL</label>
                    </div>

                    <div class="col-sm-8">

                        <input type="text" class="form-control" id="pageUrl" name="pageUrl" placeholder="Enter Page URL" required
                            value = 
                            "<?php 
                                if($this->util->mo_web3_get_option("mo_web3_nft_settings")){
                                    $pageID=$this->util->mo_web3_get_option("mo_web3_nft_settings")["pageID"];
                                    $pageUrl = get_permalink($pageID);
                                    echo esc_attr($pageUrl);
                                }
                                else 
                                    echo "";
                            ?>"
                        >

                    </div>

                </div>

                <div class="form-group row mb-3">

                    <div class="col-sm-4">
                        <label for="contractAddress">Contract Address</label>
                    </div>

                    <div class="col-sm-8">
                        <input type="text" class="form-control" id="contractAddress" name="contractAddress" placeholder="Contract Address" required
                            value = 
                            "<?php 
                                if($this->util->mo_web3_get_option("mo_web3_nft_settings")){
                                    $contractAddress=$this->util->mo_web3_get_option("mo_web3_nft_settings")["contractAddress"];
                                    echo esc_attr($contractAddress);
                                }
                                else 
                                    echo "";
                            ?>"
                        >
                    </div>

                </div>


                

                <div class="form-group mb-3 row">

                    <div class="col-sm-4">
                        <label>Blockchain</label>
                    </div>

                    <div class="col-sm-8">
                        <select  class="form-control" id="blockchain" name="blockchain">
                            <option <?php $this->fun("Ethereum")?> value="Ethereum">Ethereum</option>
                            <option <?php $this->fun("Polygon")?> value ="Polygon" >Polygon</option>
                        </select>
                    </div>

                </div>
                <div class="form-group row mb-3">

                    <div class="col-sm-4">
                        <label for="contractAddress">Add More </label>
                    </div>

                    <div class="col-sm-8">
                        <img width="30px"  class="cursor-disabled" src= "<?php echo esc_attr(MOWEB3_URL)."/classes/common/Web3/resources/images/add-plus-icon.svg"; ?>"/>
                    </div>

                </div>
                <div class="row"> 
                    <div class="col-sm-4">
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>

                    <div class="col-sm-6">
                        <button id="nftTestConfig" type="button" class="btn btn-primary" data-toggle="modal" data-target="#moweb3_address_modal">Test Configuration</button>
                    </div>

                </div>
                
                
            </form>

            </div>
            </div>



            <button type="button" class="btn btn-primary" id="moweb3NftTestConfig"  style="display:none"  data-toggle="modal" data-target="#moweb3_address_modal">
                Test Configuration
            </button>


            <div class="modal fade" id="moweb3_address_modal" style="opacity:100%;display:none;" aria-labelledby="moweb3_address_modal_label" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">

                        <div class="modal-header">
                            <h5 class="modal-title" id="moweb3_test_modal_label">Enter Test Wallet Address</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                            </button>
                        </div>

                        <form >
                            <div class="modal-body">
                                
                                <div class="form-group mb-3 row"  id="walletAddressWrapper">

                                    <div class="col-sm-4">
                                        <label for="contractAddress">Wallet Address</label>
                                    </div>

                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" id="walletAddress" name="walletAddress" placeholder="Wallet Address"  required>
                                    </div>
                                </div>
                                
                            </div>

                            <div class="modal-footer">
                                <div class="row" >

                                    <div class="col-sm-6">
                                        <button type="button" class="btn btn-primary"  id="walletAddressModal">Submit</button>
                                    </div>
                                    <div class="col-sm-6">
                                        <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
                                    </div>
                                </div>
                            </div>

                        <form>

                    </div>
                </div>

            </div>








            <button type="button" class="btn btn-primary" id="moweb3_display_modal"  style="display:none"  data-toggle="modal" data-target="#moweb3_test_modal">
                Test Configuration
            </button>


            <div class="modal fade" id="moweb3_test_modal" style="opacity:100%;display:none;" aria-labelledby="moweb3_test_modal_label" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">

                        <div class="modal-header">
                            <h5 class="modal-title" id="moweb3_test_modal_label">Test Results: Successful</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                            </button>
                        </div>

                        <div class="modal-body">
                            <div class="d-flex justify-content-center">
                                <img width="30%"  src= "<?php echo esc_attr(MOWEB3_URL)."/classes/common/Web3/resources/images/success-green-check-mark.svg"; ?>"/>
                            </div>
                            <table class="table table-striped">

                                <thead>
                                    <tr>
                                        <th scope="col">Attribute Name</th>
                                        <th scope="col">Attribute Value</th>
                                    </tr>
                                </thead>


                                <tbody>
                                    <tr>
                                    <th scope="row">No. Of Token</th>
                                    <td id="numToken"></td>
                                    </tr>
                                </tbody>

                                <tbody>
                                    <tr>
                                    <th scope="row">Status</th>
                                    <td id="pageLink"></td>
                                    </tr>
                                </tbody>

                                <tbody>
                                    <tr>
                                    <th scope="row">Contract Address</th>
                                    <td id="nftContractAddress"></td>
                                    </tr>
                                </tbody>


                            </table>

                        </div>

                        <div class="modal-footer">
                            <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
                        </div>

                    </div>
                </div>
            </div>


        </div>
            

        <script>
        
            document.getElementById("walletAddressModal").addEventListener("click", async () => {
                let pageURL = "";
                let contractAddress = "";
                let blockchain = "";
<?php 
                if($this->util->mo_web3_get_option('mo_web3_nft_settings')){
?>
                    pageURL         = "<?php echo esc_attr(get_permalink($this->util->mo_web3_get_option('mo_web3_nft_settings')["pageID"])); ?>";
                    contractAddress = "<?php echo esc_attr($this->util->mo_web3_get_option('mo_web3_nft_settings')["contractAddress"]); ?>";
                    blockchain      = "<?php echo esc_attr($this->util->mo_web3_get_option('mo_web3_nft_settings')["blockchain"]); ?>";
<?php            } 
?>                let walletAddress   = document.getElementById('walletAddress').value;

              
                let tokenBalance = await checkAndShowNft(walletAddress,contractAddress,blockchain,pageUrl);

                let  msgToDisplay;

                if(tokenBalance>0){
                    msgToDisplay = '<p style="color:green">Access Allowed</p>';
                }else{
                    msgToDisplay = '<p style="color:red">Access Denied</p>';
                }

                document.getElementById("numToken").innerText = tokenBalance;
                document.getElementById("pageLink").innerHTML = msgToDisplay;
                document.getElementById("nftContractAddress").innerText = contractAddress;
                document.getElementById('moweb3_display_modal').click();

            });

        </script><?php
    }
}
?>