<?php
/**
 * Core
 *
 * Create MoWeb3 Method view Handler.
 *
 * @category   Common, Core
 * @package    MoWeb3\view\SettingsView
 * @author     miniOrange <info@xecurify.com>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * @link       https://miniorange.com
 */

namespace MoWeb3\view\SettingsView;



class MoWeb3SettingsView {
    
    /**
     * Constructor
     */
    

    public $util;
    public function __construct() {
        
		$this->util   =new \MoWeb3\MoWeb3Utils;        
    }


    public function toggle_display_of_login_button(){
        
    ?>
        <form id="mo_web3_button_display" method="post" action="">
            <input type="hidden" name="option" value="mo_web3_button_display" />
            <?php wp_nonce_field( 'mo_web3_button_display', 'mo_web3_button_display_nonce' ); ?>
            
            <div>

                <input type="checkbox"  id="mo_web3_button_check" name="mo_web3_button_check"
                    <?php
                        if($this->util->mo_web3_get_option( 'mo_web3_display_login_button')=="checked"){
                            echo "checked";
                        }
                    ?>
                >

                <label  class="display-inline" for="checkbox">Once enabled, a Web3 wallet login button will appear on the login form.</label>
            </div>
            
        </form>

        <script>

            mo_web3_button_check.onclick = function() {

                var checkbox=document.getElementById("mo_web3_button_check");
                console.log("checkbox ",checkbox.checked);

                if(checkbox.checked){// true if check
                    checkbox.value="checked";
                }else{
                    checkbox.value="unchecked";
                }
                // console.log(checkbox.value);
                console.log("checkbox 2",checkbox.value);
                jQuery('#mo_web3_button_display').submit();

            }

        </script> 

    <?php
    }


    public function custom_text_login_button(){
        ?>  
            <form id="mo_web3_button_custom_text" method="post" action="">

                <input type="hidden" name="option" value="mo_web3_button_display" />
                <?php wp_nonce_field( 'mo_web3_button_custom_text', 'mo_web3_button_custom_text_nonce' ); ?>
                
                <div class="row">

                    <div class="form-group col-12 col-sm-8">
                        <input type="text" name="mo_web3_button_custom_text" class="form-control" placeholder="Your Custom Button text" value="<?php echo esc_attr($this->get_button_custom_text()); ?>">
                    </div>

                    <div class="col-12 col-sm-4">
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </div>
                
            </form>
    
        <?php
    }


    public function get_button_custom_text(){

        $value = $this->util->mo_web3_get_option("mo_web3_button_custom_text");

        if($value){
            return $value;
        }else{
            $this->util->mo_web3_update_option("mo_web3_button_custom_text","Login with Cryptowallet");
            return "Login with Cryptowallet";
        }

    }


    public function nft_setting(){
        ?>

        
            
            <form id="mo_web3_nft_setting" class="form-group" action="">

                <div class="form-group mb-3">

                    <div class="row">

                        <div class="col-12 col-sm-4" >
                            <h6>Contract Address:</h6>
                        </div>

                        <div class="col-12 col-sm-8">
                            <input type="text" class="form-control" id="contract_address"  placeholder="Contract Address">
                        </div>

                    </div>

                </div>

                <button type="button" id="load_button" class="btn btn-primary">Show NFTs</button>

            </form>

            <style>
                .card {
                    padding: 1rem;
                    border: 1px solid black;
                    margin: 1rem;
                }
            </style>
            <div id="nft_display" class="flex gap-7 flex-wrap"></div>

            
        <?php
    }
    


    public function test_configuration(){
        ?>
            <div class="mt-3 mb-3">
                <button type="button" class="btn btn-primary" onclick="userLoginOut();" >  Test Web3 Connectivity </button>
            </div>
             <!-- Button trigger modal -->
        <div>
            <button type="button" class="btn btn-primary" id="moweb3_display_modal"  style="display:none"  data-toggle="modal" data-target="#moweb3_test_modal">
                Test Configuration
            </button>


            <div class="modal fade" id="moweb3_test_modal" style="opacity:100%;display:none;" aria-labelledby="moweb3_test_modal_label" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="moweb3_test_modal_label">Test Results: Test Successful</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">

                            <div class="d-flex justify-content-center">
                                <img width="30%"  src= "<?php echo esc_attr(MOWEB3_URL)."/classes/common/Web3/resources/images/success-green-check-mark.svg"; ?>"/>
                            </div>

                            <table class="table table-striped">
                                <thead>
                                    <tr>
                                        <th scope="col">Attribute Name</th>
                                        <th scope="col">Attribute Value</th>
                                    </tr>
                                </thead>

                                <tbody>
                                    <tr>
                                    <th scope="row">Wallet Address</th>
                                    <td id="wallet_address"></td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>

        </div>
        <?php
    }

}
?>