<?php
/**
 * Core
 *
 * Create MoWeb3 Method view Handler.
 *
 * @category   Common, Core
 * @package    MoWeb3\MoWeb3MethodViewHandler
 * @author     miniOrange <info@xecurify.com>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * @link       https://miniorange.com
 */

namespace MoWeb3\view\SetupGuideView;

/**
 * Class to Create MoWeb3 Method View Handler.
 *
 * @category Common, Core
 * @package  MoWeb3\MoWeb3MethodViewHandler\CreateMoWeb3View
 * @author   miniOrange <info@xecurify.com>
 * @license  http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * @link     https://miniorange.com
 */

class MoWeb3GuideView {
    
    /**
     * Constructor
     */
    

    // public $util;
    public function __construct() {
        
		$this->util   =new \MoWeb3\MoWeb3Utils;
        
    }
       

    public function view()
    {
        ?>
        <div class="mo_support_layout ">
            <div >
                <p style="font-size:15px;">
                    <strong>1. </strong>Go to <strong> Configure Settings. </strong>
                </p>

                <p style="font-size:15px;">
                    <strong>2. </strong>Check the <strong>Enable Web3 user Login</strong> option to display the <strong>Login with CryptoWallet</strong> button on the WordPress standard Login Page.
                </p>

                <div>
                    <img class ="m-2" width="70%" height="70%" src="<?php echo esc_attr(MOWEB3_URL)."/classes/common/Web3/resources/images/guide_images/LoginButtonToggleDisplay.png"; ?>" />
                </div>


            
                <p style="font-size:15px;">
                    <strong>3. </strong>Click on the <strong>Test Web3 Connectivity</strong> to test the complete flow of web3 authentication. As a successful result wallet address will be shown in the popup.  
                </p>
                
                <img class ="m-2" width="70%" height="70%" src="<?php echo esc_attr(MOWEB3_URL)."/classes/common/Web3/resources/images/guide_images/web3TestConnectivity.png"; ?>" />
            
            </div>
        </div>

        <?php
    }
    
}
?>